
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Spring入门第十四课 / 憋错料</title>

    <meta name="description" content="Spring入门第十四课 基于注解的方式配置bean(基于注解配置Bean,基于注解来装配Bean的属性) 在classpath中扫描组件 组件扫描(component scanning):Spring能够从classpath下自动扫描,侦测和实例化具有特定注解的组件. 特定组件包括: [email protected]:基本注解,表示了一个受Spring管理的组件 [email protected]:标识持久层组件 [email protected]:标识服务层组(业务层)件 [email protected]:标识表">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Spring入门第十四课</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>基于注解的方式配置bean（基于注解配置Bean，基于注解来装配Bean的属性）</p>
<p>在classpath中扫描组件</p>
<p>组件扫描（component scanning）：Spring能够从classpath下自动扫描，侦测和实例化具有特定注解的组件。</p>
<p>特定组件包括：</p>
<p>[email&#160;protected]：基本注解，表示了一个受Spring管理的组件</p>
<p>[email&#160;protected]:标识持久层组件</p>
<p>[email&#160;protected]：标识服务层组（业务层）件</p>
<p>[email&#160;protected]:标识表现层组件</p>
<p>对于扫描到的组件，Spring有默认的命名策略：使用非限定类名，第一个字母小写，也可以在注解中通过value属性值标识组件的名称。</p>
<p>当在组件类上使用了特定的注解之后，还需要在Spring的配置文件中声明&lt;context:component-scan&gt;:</p>
<p>-base-package属性指定一个需要扫描的基类包，Spring容器将会扫描这个基类包里面及其子包中的所有类。</p>
<p>-当需要扫描多个包时，可以使用逗号分隔。</p>
<p>-如果仅希望扫描特定的类而不非基包下的所有类，可以使用resource-pattern属性过滤特定的类，示例：</p>
<pre>&lt;context:component-scan
    base-package="com.logan.spring.beans"
    resource-pattern="autowire/*.class"/&gt;</pre>
<p>-&lt;context:include-filter&gt;子节点表示要包含的目标类</p>
<p>-&lt;context:exclude-filter&gt;子节点表示要排除在外的目标</p>
<p>-&lt;context:component-scan&gt;下可以拥有若干个&lt;context:include-filter&gt;和&lt;context:exclude-filter&gt;子节点。</p>
<p>看代码</p>
<pre>package logan.spring.study.annotation;

import org.springframework.stereotype.Component;

@Component
public class TestObject {

}</pre>
<pre>package logan.spring.study.annotation.repository;

import org.springframework.stereotype.Repository;

@Repository("userRepository")
public class UserRepositoryImpl implements UserRepository {

    @Override
    public void save() {
        // TODO Auto-generated method stub
        System.out.println("UserRepository Save...");

    }

}</pre>
<pre>package logan.spring.study.annotation.service;

import org.springframework.stereotype.Service;

@Service
public class UserService {

    public void add(){
        System.out.println("UserService add...");
    }
}</pre>
<pre>package logan.spring.study.annotation.controller;

import org.springframework.stereotype.Controller;

@Controller
public class UserController {

    public void execute(){
        System.out.println("UserController execute...");
    }

}</pre>
<p>配置文件</p>
<pre>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.3.xsd"&gt;

    &lt;context:component-scan base-package="logan.spring.study.annotation"&gt;&lt;/context:component-scan&gt;

&lt;/beans&gt;</pre>
<pre>package logan.spring.study.annotation;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import logan.spring.study.annotation.controller.UserController;
import logan.spring.study.annotation.repository.UserRepository;
import logan.spring.study.annotation.service.UserService;

public class Main {
    public static void main(String[] args) {
        System.out.println(1);
        ApplicationContext ctx = new ClassPathXmlApplicationContext("beans-annotation.xml");
        System.out.println(2);
        TestObject to = (TestObject) ctx.getBean("testObject");
        System.out.println(to);

        UserController userController = (UserController) ctx.getBean("userController");
        System.out.println(userController);

        UserService userService = (UserService) ctx.getBean("userService");
        System.out.println(userService);

        UserRepository userRepository = (UserRepository) ctx.getBean("userRepository");
        System.out.println(userRepository);
    }

}</pre>
<pre>package logan.spring.study.annotation.repository;

public interface UserRepository {

    void save();

}</pre>
<p>返回的结果为</p>
<pre>五月 24, 2017 10:25:12 下午 org.springframework.context.support.ClassPathXmlApplicationContext prepareRefresh
信息: Refreshing org[email&#160;protected]42110406: startup date [Wed May 24 22:25:11 CST 2017]; root of context hierarchy
五月 24, 2017 10:25:12 下午 org.springframework.beans.factory.xml.XmlBeanDefinitionReader loadBeanDefinitions
信息: Loading XML bean definitions from class path resource [beans-annotation.xml]
[email&#160;protected]
[email&#160;protected]
[email&#160;protected]
[email&#160;protected]68d</pre>
<p>这里使用的jar包有：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzEwMTYyMjMvMjAxNzA1LzEwMTYyMjMtMjAxNzA1MjQyMjI2MTg5MzUtODY1MDQ3NjEucG5n.jpg"></p>
<p>可以如下改规则：（通过resource-pattern指定扫描资源）</p>
<pre>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.3.xsd"&gt;

    &lt;context:component-scan
    base-package="logan.spring.study.annotation"
    resource-pattern="repository/*.class" &gt;&lt;/context:component-scan&gt;

&lt;/beans&gt;</pre>
<pre>package logan.spring.study.annotation;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import logan.spring.study.annotation.controller.UserController;
import logan.spring.study.annotation.repository.UserRepository;
import logan.spring.study.annotation.service.UserService;

public class Main {
    public static void main(String[] args) {
        ApplicationContext ctx = new ClassPathXmlApplicationContext("beans-annotation.xml");
//        TestObject to = (TestObject) ctx.getBean("testObject");
//        System.out.println(to);

//        UserController userController = (UserController) ctx.getBean("userController");
//        System.out.println(userController);

//        UserService userService = (UserService) ctx.getBean("userService");
//        System.out.println(userService);

        UserRepository userRepository = (UserRepository) ctx.getBean("userRepository");
        System.out.println(userRepository);
    }

}</pre>
<p>输出的结果为：</p>
<pre>五月 24, 2017 10:30:25 下午 org.springframework.context.support.ClassPathXmlApplicationContext prepareRefresh
信息: Refreshing org[email&#160;protected]42110406: startup date [Wed May 24 22:30:25 CST 2017]; root of context hierarchy
五月 24, 2017 10:30:25 下午 org.springframework.beans.factory.xml.XmlBeanDefinitionReader loadBeanDefinitions
信息: Loading XML bean definitions from class path resource [beans-annotation.xml]
[email&#160;protected]bfca</pre>
<p>&lt;context:include-filter&gt;和&lt;context:exclude-filter&gt;子节点支持多种类型的过滤表达式：</p>
<table>
<tbody>
<tr>
<td>类别</td>
<td>示例</td>
<td>说明</td>
</tr>
<tr>
<td>annotation</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>assinable</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>aspecct</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>regex</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>custom</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 14:14:16 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%8a%80%e6%9c%af%e5%88%86%e4%ba%ab/" title="技术分享">技术分享</a>, <a href="https://www.biecuoliao.com/tag/ref/" title="ref">ref</a>, <a href="https://www.biecuoliao.com/tag/span/" title="span">span</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%9a%e5%8a%a1/" title="业务">业务</a>, <a href="https://www.biecuoliao.com/tag/pos/" title="pos">pos</a>, <a href="https://www.biecuoliao.com/tag/public/" title="public">public</a>, <a href="https://www.biecuoliao.com/tag/c11/" title="c11">c11</a>, <a href="https://www.biecuoliao.com/tag/%e8%87%aa%e5%8a%a8%e6%89%ab%e6%8f%8f/" title="自动扫描">自动扫描</a>, <a href="https://www.biecuoliao.com/tag/exclude/" title="exclude">exclude</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Spring入门第十四课的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v1WDa0.html" rel="bookmark">Spring入门第十九课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				后置通知 看代码: package logan.study.aop.impl; public interface ArithmeticCalculator { int add(int i, int j); int sub(int i, int j); int mul(int i, int j); int div(int i, int j); } package logan.study.aop.impl; import org.springframework.stereotype.Componen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aGxyA4.html" rel="bookmark">Spring入门第十八课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring AOP AspectJ:Java社区里最完整最流行的AOP框架 在Spring2.0以上的版本中,可以使用基于AspectJ注解或者基于XML配置的AOP 看代码: package logan.study.aop.impl; public interface ArithmeticCalculator { int add(int i, int j); int sub(int i, int j); int mul(int i, int j); int div(int i, int j)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vOORk4.html" rel="bookmark">Spring入门第十六课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接上一次讲课 先看代码: package logan.spring.study.annotation.repository; public interface UserRepository { void save(); } package logan.spring.study.annotation.repository; import org.springframework.stereotype.Repository; @Repository(&quot;userRepository&quot;) pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrgQz4.html" rel="bookmark">Spring入门第十二课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Bean的配置方法 通过工厂方法(静态工厂方法&amp;实例工厂方法),FactoryBean 通过调用静态工厂方法创建Bean 调用静态工厂方法创建Bean是将对象创建的过程封装到静态方法中,当客户端需要对象时,只需要简单的调用静态方法,而不用关心创建对象的细节. 要声明通过静态方法创建的Bean,需要在Bean的class属性里指定拥有该工厂的方法类,同时在factory-method属性里指定工厂方法的名称,最后,使用&lt;constructor-arg&gt;元素为该方法传递方法参数. 看代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lkNYpM.html" rel="bookmark">Spring入门第十课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring表达式语言:SpEL Spring表达式语言(简称SpEL)是一个支持运行时查询和操作对象图的强大的表达式语言. 语法类似于EL:SpEL使用#{...}作为定界符,所有在大括号中的字符都将被认为是SpEL SpEL为bean的属性进行动态复制提供了便利. 通过SpEL可以实现: -通过bean的id对bean进行引用 -调用方法以及引用对象中的属性 -计算表达式的值 -正则表达式的匹配 下面看如何使用 package logan.spring.study.spel; public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35w1mVM.html" rel="bookmark">Spring入门第二十四课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring对JDBC的支持 直接看代码: db.properties jdbc.user=root jdbc.password=logan123 jdbc.driverClass=com.mysql.jdbc.Driver jdbc.jdbcUrl=jdbc:mysql://localhost:3306/selective-courses-system jdbc.initPoolSize=5 jdbc.maxPoolSize=10 applicationContext.xml &lt;?xml ve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xYnwQ3.html" rel="bookmark">大数据入门第十四天&mdash;&mdash;Hbase详解（一）入门与安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述 1.什么是Hbase 根据官网:https://hbase.apache.org/ Apache HBase™ is the Hadoop database, a distributed, scalable, big data store. HBASE是一个高可靠性.高性能.面向列.可伸缩的分布式存储系统 中文简明介绍: Hbase是分布式.面向列的开源数据库(其实准确的说是面向列族).HDFS为Hbase提供可靠的底层数据存储服务,MapReduce为Hbase提供高性能的计算能力,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KqDPy4.html" rel="bookmark">NeHe OpenGL教程  第十四课：图形字体</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自[翻译]NeHe OpenGL 教程 前言 声明,此 NeHe OpenGL教程系列文章由51博客yarin翻译(2010-08-19),本博客为转载并稍加整理与修改.对NeHe的OpenGL管线教程的编写,以及yarn的翻译整理表示感谢. NeHe OpenGL第十四课:图形字体 图形字体: 在一课我们将教你绘制3D的图形字体,它们可像一般的3D模型一样被变换. 这节课继续上一节课课的内容.在第13课我们学习了如何使用位图字体,这节课,我们将学习如何使用轮廓字体. 创建轮廓字体的方法类似于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV8DQQ3.html" rel="bookmark">NeHe OpenGL教程 第四十四课：3D光晕</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自[翻译]NeHe OpenGL 教程 前言 声明,此 NeHe OpenGL教程系列文章由51博客yarin翻译(2010-08-19),本博客为转载并稍加整理与修改.对NeHe的OpenGL管线教程的编写,以及yarn的翻译整理表示感谢. NeHe OpenGL第四十四课:3D光晕 3D 光晕 当镜头对准太阳的时候就会出现这种效果,模拟它非常的简单,一点数学和纹理贴图就够了.好好看看吧. 大家好,欢迎来到新的一课,在这一课中我们将扩展glCamera类,来实现镜头光晕的效果.在日常生活中,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JD8LV0.html" rel="bookmark" class="title">passwd讲解</a>
					<div>
						root:$dffjioowwf/:16274:0:999999:7::: 1用户名:密码:最近修改密码的日期:密码不能更改的天数:密码过期时间:密码需要更改期限到拉前7发出警告:宽限天数:帐号过期时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8dgN0.html" rel="bookmark" class="title">软件分析（Mobile Apps ）--百词斩</a>
					<div>
						1) 此类软件是什么时候开始出现的, 这些软件是怎么说服你(陌生人)成为他们的用户的? 他们的目标都是盈利么? 他们的目标都是赚取用户的现金么?还是别的? 2) 你个人第一次用此类软件是什么时候,你当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVYWZp4.html" rel="bookmark" class="title">HDU3309&colon;Roll The Cube&lpar;BFS&rpar;</a>
					<div>
						Problem Description This is a simple game.The goal of the game is to roll two balls to two holes eac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kG6e70.html" rel="bookmark" class="title">Saltstack快速部署</a>
					<div>
						Saltstack 批量部署工具     关于Saltstack是什么东西?有什么作用?我们在这里就不做介绍了,如果有不懂的同学们可以去网络搜索下:了解相关的技术信息. 本次们的主机分部为:    1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5Ko8M.html" rel="bookmark" class="title">11：self关键字</a>
					<div>
						本小节知识点: 类方法中的self 对象方法中的self 全局变量成员变量局部变量 self总结 self使用注意 OC提??供了两个保留字self和super OC语言中的self,就相当于C++. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5vNb0.html" rel="bookmark" class="title">如何理解DocType&quest; 什么是严格模式与混杂模式？如何触发这两种模式&quest;</a>
					<div>
						1.Doctype声明位于文档中的最前面的位置,处于标签之前,此标签可告知浏览器文档使用哪种 HTML 或 XHTML 规范,该标签可声明三种DTD 类型,分别表示严格版本.过渡版本以及基于框架的 H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dAdmz3.html" rel="bookmark" class="title">something about english</a>
					<div>
						Molten lava from a volcano will solidify as it cools. The shuttle bus makes my commute to work conve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rKkXM.html" rel="bookmark" class="title">二叉树的最小公共祖先问题</a>
					<div>
						今天做了两个二叉树的题目, 挺简单的, 不用调试, 直接在提交框上敲完提交, 直接就通过了. 第一个题目是求二叉查找树的公共祖先, 因为是排序的, 所以很好做. 具体思路如下: 1 如果两个节点都比当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5L5j3.html" rel="bookmark" class="title">undo表空间概述</a>
					<div>
						oracle028 undo表空间概述 UNDO的简要概序: 1. 一般的表空间中的段是手动建立的,undo表空间和普通的表空间相似,但是undo表空间中undo段,undo段是自动生成的:oracl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWX5z4.html" rel="bookmark" class="title">jquery&period;mobile手机网页简要</a>
					<div>
						先上最终效果: 最近做了一个用手机浏览器访问的web应用,采用较流行的HTML5,为了提高开发效率节省时间决定采用现有开源框架,免去了自己做设计与兼容性. 一些比较优秀的框架:10大优秀的移动Web应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyreE0.html" rel="bookmark" class="title">SqlManage&period;cs</a>
					<div>
						using System; using System.Collections.Generic; using System.ComponentModel; using System.Data; usin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEWk713.html" rel="bookmark" class="title">heibernate增删改查总结一下自己的不足</a>
					<div>
						难点也就我不熟悉的是数据库语句的书写,要加强复杂查询语句的书写 1 /* 简单的在共享类中已经可以用的了 2 * 总结: 3 * 4 * ------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqgkB3.html" rel="bookmark" class="title">接口 代码分析</a>
					<div>
						package SS; abstract interface A {// 定义一个接口A public static final String MSG = &quot;hello&quot;;// 全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wgg23.html" rel="bookmark" class="title">安卓破解软件需懂的Smali语法</a>
					<div>
						Smali中语法: 类型 v   void  只能用于返回值类型 Z   boolean B   byte S   short C   char I    int J    long 2个寄存器 F  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGAj6o3.html" rel="bookmark" class="title">windows amd64环境下使用arcpy发布web服务</a>
					<div>
						通常在安装arcgis的时候,arcgis desktop与arcgis server应该是必备软件 但他们使用的python却不同,desktop使用32位,server使用64位. 为了能将arc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjXnK0.html" rel="bookmark" class="title">CSS3 动画属性</a>
					<div>
						什么是 CSS3 中的动画? 动画是使元素从一种样式逐渐变化为另一种样式的效果. 您可以改变任意多的样式任意多的次数. 请用百分比来规定变化发生的时间,或用关键词 &quot;from&quot; 和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZaRRL0.html" rel="bookmark" class="title">html5  如何进行自定义属性的定义和查询</a>
					<div>
						&lt;!DOCTYPE html&gt;&lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt;T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49O7eb0.html" rel="bookmark" class="title">C&plus;&plus; Primer学习笔记32&lowbar;面向对象编程&lpar;3&rpar;--继承（三）：多重继承、虚继承与虚基类</a>
					<div>
						C++ Primer学习笔记32_面向对象编程(3)--继承(三):多重继承.虚继承与虚基类 一.多重继承 在C++语言中,一个派生类可以从一个基类派生,称为单继承:也可以从多个基类派生,称为多继承. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38KpDR0.html" rel="bookmark" class="title">js 随机色</a>
					<div>
						//生成随机色 function colorRandom() { colorStr = &quot;#&quot; + (&quot;00000&quot; + (Math.random() * 0x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YmZYO0.html" rel="bookmark" class="title">Xilium&period;CefGlue CEF Chrome 自动上传文件不弹出对话框 CefDialogHandler</a>
					<div>
						关键代码如下,如何使用Handler,还不清楚的请继续搜索 internal sealed class WyzCefDialogHandler : CefDialogHandler    {      ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
